Subject: RE: [AAA-WG]: AAA Registration Keys for Mobile IP?

From: "Martin Julien (ECE)" <[email-masked]>
Date: Mon, 2 Apr 2001 12:46:21 +0200

See comments.

> > However, if the MN sends a MN-HA Key Request (section 7)
> > including a preferred SPI to be used between the MN and the 
> HA, how can it
> > be sent to the AAAH? It does not seem to exist any AVP for 
> that in the
> > Diameter Mobile-IP protocol. Can that subtype be used at 
> all within the AAA
> > infrastucture meaningfully?
> 
> hmmmm.... it doesn't appear to be used in Diameter. I am at a 
> bit of a loss.
> So, we can either create a new AVP, if we believe this is 
> useful, or eliminate
> the field from the Mobile IP extension. 

Well, I'm not sure, but I guess that creating a new AVP to
support the suggested SPI would be as useful (or useless) as
the ones suggested for use between other MIP entities, right?
I think we should add a new AVP, if you think that the other
"suggested" SPI attributes sent by the MN can be useful at all.

Martin